NAND_READ(9)

NAME
nand_read - [MTD Interface] MTD compability function for nand_do_read_ecc

SYNOPSIS

int nand_read (struct mtd_info * mtd, loff_t from, size_t len, size_t * retlen, u_char * buf);

ARGUMENTS

mtd MTD device structure

from
    offset to read from

len number of bytes to read

retlen
    pointer to variable to store the number of read bytes

buf the databuffer to put data

DESCRIPTION

This function simply calls nand_do_read_ecc with oob buffer and oobsel = NULL and flags = 0xff

AUTHOR
Thomas Gleixner <tglx@linutronix.de>.